import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'datepicker.change';

export default ({ currentMonth, custom = {}, path, root, selectedIndex, type, value } = {}) => {
    return {
        type,
        meta: {
            custom,
            foundation,
            path,
            root
        },
        payload: {
            currentMonth,
            expanded: false,
            selectedIndex,
            value
        }
    };
};

export const reducer = handleFoundationAction(foundation);
