import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import purebem from 'purebem';

import './FoundationFormDescriptionSection.less';


const block = purebem.of('foundation-new-form-description-section');

const FoundationFormDescriptionSection = React.createClass({

    mixins: [PureRenderMixin],

    propTypes: {
        children: PropTypes.node
    },

    getDefaultProps() {
        return {
            children: null
        };
    },

    render() {
        return (
            <div className={ block() }>
                { this.props.children }
            </div>
        );
    }

});

export default FoundationFormDescriptionSection;
