import { show } from './actions';

import createStore from '../../../test-utils/createStore';


test('can show message', () => {
    jest.useFakeTimers();

    const store = createStore();
    const action = show('billogram');

    store.dispatch(action);

    const state = store.getState().messages;
    expect(state.entries.length).toBe(1);

    const entry = state.entries[0];
    expect(entry.text).toBe('billogram');

    jest.useRealTimers();
});
