import textareaState from './textareaState';


test('undefined value', () => {
    const result = textareaState();
    expect(result.value).toBe('');
});

test('null value', () => {
    const result = textareaState({ value: null });
    expect(result.value).toBe('');
});

test('value as string', () => {
    const result = textareaState({ value: 'billogram' });
    expect(result.value).toBe('billogram');
});

test('value as number', () => {
    const result = textareaState({ value: 1337 });
    expect(result.value).toBe('1337');
});
