import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'textbox.change';

export default ({ custom = {}, path, rawValue, root, type, value } = {}) => {
    return {
        type,
        meta: {
            custom,
            foundation,
            path,
            root
        },
        payload: {
            focus: false,
            rawValue,
            value
        }
    };
};

export const reducer = handleFoundationAction(foundation);
