import invariant from 'invariant';
import selectn from 'selectn';

import getSeamlessPath from './getSeamlessPath';


export default ({ components }, { path, root }) => {
    const combinedPath = getSeamlessPath(root, path);
    const state = selectn(combinedPath, components);

    invariant(
        state !== undefined,
        `Could not find state for \`${combinedPath}\`. Did you accidentally misspell \`root\` and/or \`path\`?`
    );

    return state;
};
