import MobileDetect from 'mobile-detect';


const mb = new MobileDetect(window.navigator.userAgent);

export default (os = null) => {
    const isHandheld = mb.phone() !== null || mb.tablet() !== null;
    if (os !== null) {
        return mb.os() === os && isHandheld;
    }

    return isHandheld;
};
