import createComponent from './createComponent';
import createComponentsReducerProvider from './redux/createComponentsReducerProvider';
import createDynamicReducerRegistry from './redux/createDynamicReducerRegistry';


const registry = createDynamicReducerRegistry();
export const component = createComponent(registry);
export const componentsReducerProvider = createComponentsReducerProvider(registry);

export mount from './redux/mount';
export unmount from './redux/unmount';
