import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'datepicker.collapse';

export default ({ currentMonth, path, root, selectedIndex, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root
        },
        payload: {
            currentMonth,
            expanded: false,
            selectedIndex
        }
    };
};

export const reducer = handleFoundationAction(foundation);
