import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'datepicker.selected-index-change';

export default ({ currentMonth, path, root, selectedIndex, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root
        },
        payload: {
            currentMonth,
            selectedIndex
        }
    };
};

export const reducer = handleFoundationAction(foundation);
