import isNullOrEmpty from '../../../utils/isNullOrEmpty';


export default ({
    expanded = false,
    value = null
} = {}) => {
    value = isNullOrEmpty(value) ? null : value;
    const valueTimestamp = +new Date(value === null ? +new Date() : value);

    const date = new Date(valueTimestamp);
    const currentMonth = +new Date(date.getFullYear(), date.getMonth(), 1);

    return {
        currentMonth,
        expanded,
        selectedIndex: valueTimestamp,
        value
    };
};
