import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';

import formatMoney from '../../utils/formatMoney';
import reactInterpolate from '../../utils/reactInterpolate';


const FoundationMoney = React.createClass({

    mixins: [PureRenderMixin],

    propTypes: {
        value: PropTypes.node
    },

    getDefaultProps() {
        return {
            value: 0
        };
    },

    render() {
        const { value } = this.props;
        return (
            <span>{ reactInterpolate(formatMoney(value || 0)) } SEK</span>
        );
    }

});

export default FoundationMoney;
