import { hide, show } from './actions';

import createStore from '../../../test-utils/createStore';


test('can hide message', () => {
    jest.useFakeTimers();

    const store = createStore();

    store.dispatch(show('billogram'));
    const entry = store.getState().messages.entries[0];

    store.dispatch(hide({ text: 'billogram', timeoutId: entry.timeoutId, timestamp: entry.timestamp }));
    const state = store.getState().messages;

    expect(state.entries.length).toBe(0);

    jest.useRealTimers();
});
