export const gettext = (key) => {
    if (typeof window === 'undefined' || typeof window.gettext === 'undefined') {
        return key;
    }

    return window.gettext(key);
};

export const pgettext = (context, key) => {
    if (typeof window === 'undefined' || typeof window.pgettext === 'undefined') {
        return key;
    }

    return window.pgettext(context, key);
};
